compact2, compact3
org.w3c.dom.views

## Interface DocumentView

-     public interface DocumentView

  The `DocumentView` interface is implemented by `Document` objects in DOM implementations supporting DOM Views. It provides an attribute to retrieve the default view of a document.

  See also the Document Object Model (DOM) Level 2 Views Specification.

  Since:
    DOM Level 2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractView` | `getDefaultView()` The default `AbstractView` for this `Document`, or `null` if none available.

- - ### Method Detail

    - #### getDefaultView

          AbstractView getDefaultView()

      The default `AbstractView` for this `Document`, or `null` if none available.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2015, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.